Hi Steve, and welcome to CADTutor
Regarding the use of my LM:DeleteBlocks function in conjunction with my ObjectDBXWrapper function, please consider the following example:
(defun c:dbtest nil
(LM:odbx '(lambda ( doc ) (LM:deleteblocks doc '("Block1" "Block2" "Block3"))) nil t)
(princ)
)
The above code will prompt the user to select a directory of drawings to be processed, and, following a valid selection, the function will attempt to delete Block1, Block2 & Block3 (these can of course be changed to suit your requirements) from every drawing file in the selected directory.
You will of course need to ensure that both my ObjectDBX Wrapper function & Delete Blocks program are loaded before running the above code.